
Pre-Development - Feature #19149

FE - React - Create microfrontend cc_am

12 December 2023 05:31 PM - chok yee fan

Status: Closed Start date: 12 December 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Create microfrontend cc_am copy shared module from cc_iam

- register link from topnavbar

- proxy to bd_am

- left menu with am module

- test keycloak instance with am

History

#1 - 06 February 2024 05:22 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

is the same for cc_common. could refer the redmine

https://dev.silverlakemobility.com/redmine/issues/19145

module under this cc_am:

- email config

- message template

#2 - 14 February 2024 05:06 PM - Amirul Umar Pandai

- Status changed from New to In Progress

- Assignee changed from Amirul Umar Pandai to chok yee fan

Initial commit done. Need to discuss regarding serving from cc_core, as there will be some issues with navigation, sharing data, loading page, etc.

Feature #19149: Initial commit cc_am microfrontend

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/aebfa38bcf3ab7f3036f654b89371098cf56aa72

#3 - 15 February 2024 02:03 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

as per discuss, use back the previous each of the project has it own share.js file e.g. cciam-shared.js, cctop-shared.js

#4 - 29 February 2024 02:26 PM - Amirul Umar Pandai

- Status changed from In Progress to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad
Please git pull latest for all apps, including mleb-core, then yarn install for each project

implement cccore-shared v1.1.0 + set language config to sessionStorage

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/e0c749c295bba81681103c355f7d7615b4609258

#5 - 04 March 2024 11:27 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Already pull and npm install for all project

no issue found.

#6 - 05 March 2024 10:03 AM - chok yee fan

- Status changed from Feedback to Closed

working as expected
